﻿html {
	scroll-behavior: smooth;
}

.validator-highlight {
	background-color: #f00;
	color: #fff;
}

ol.lower-alpha li {
	list-style-type: lower-alpha;
}

.underline {
	text-decoration: underline;
}

.required,
.error {
	color: #f00;
}

/* Fixes issue spacing issues introduced by bootstrap */
input[type="radio"],
input[type="checkbox"] {
	margin: 4px;
}

legend {
	color: darkcyan;
}

.login-name {
	color: #fff;
}

.phone-number {
	font-weight: bold;
	white-space: nowrap;
}

/*.alert-body {
	display: flex;
}*/

.alert-icon {
	margin-right: 1em;
}

#progressBackgroundFilter {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	overflow: hidden;
	padding: 0;
	margin: 0;
	background-color: #000;
	filter: alpha(opacity=50);
	opacity: 0.5;
	z-index: 1000;
}

#processMessage {
	position: fixed;
	top: 50%;
	left: 50%;
	margin-left: -32px; /* half of image width */
	margin-top: -32px; /* half of image height */
	padding: 5px;
	z-index: 1001;
	background-color: #fff;
	border-radius: 25%;
}

/* Apply to existing Bootstrap class */
.col-form-label {
	font-weight: 700;
}

caption[align="Top"] {
	caption-side: top;
}

caption[align="Bottom"] {
	caption-side: bottom;
}

/* To replicate Bootstrap 3's appearance */
legend {
	border: 0;
	border-bottom: 1px solid #e5e5e5;
}

/* To properly apply BS4 to CheckBox and RadioButton WebControls */
/* Requires separate CheckBox and Label controls to be used with the form-check-input and form-check-label controls set */
.form-check > span.form-check-input > input[type=checkbox],
.form-check > span.form-check-input > input[type=radio] {
	position: absolute;
	margin-top: 0rem;
	margin-left: 0rem;
}

.form-check.form-check-inline > span.form-check-input {
	margin-right: 0.3125rem;
}

.form-check.form-check-inline > span.form-check-input > input[type=checkbox],
.form-check.form-check-inline > span.form-check-input > input[type=radio] {
	position: static;
	margin-top: 0;
	margin-right: 0;
	margin-left: 0;
}

div.alert .glyphicon {
	margin-right: 10px;
}

/**************************************************************************************************/
/* Bootstrap overrides																			  */
/**************************************************************************************************/

/*.navbar-light .navbar-toggler {
	color: rgba(0, 0, 0, 0.5);
	border-color: rgba(0, 0, 0, 0.1);
}*/

.navbar-toggler {
	padding: 0.25rem 0.75rem;
	font-size: 1.25rem;
	line-height: 1;
	background-color: transparent;
	border: 1px solid transparent;
	border-radius: 0.25rem;
}

.navbar-toggler-icon {
	display: inline-block;
	width: 1.5em;
	height: 1.5em;
	vertical-align: middle;
	content: "";
	background: no-repeat center center;
	background-size: 100% 100%;
}

.navbar-light .navbar-toggler {
	color: rgba(0, 0, 0, 0.5);
	border-color: rgba(0, 0, 0, 0.1);
}

.navbar-light .navbar-toggler-icon {
	/*background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.5%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");*/
	/*background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 1.0%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");*/
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 1.0%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='3' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.navbar-dark .navbar-toggler {
	color: rgba(255, 255, 255, 0.5);
	/*border-color: rgba(255, 255, 255, 0.1);*/
	border-color: rgba(255, 255, 255, 0.1);
}

.navbar-dark .navbar-toggler-icon {
	/*background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.5%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");*/
	/*background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1.0%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");*/
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1.0%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='3' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

/*.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
	color: #495057;
	background-color: #fff;
	border-color: #dee2e6 #dee2e6 #fff;
}*/

/*.navbar-light .navbar-nav .nav-link {
	color: rgba(0, 0, 0, 0.5);
}*/

/*.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link:focus {
	color: rgba(0, 0, 0, 0.7);
}
*/
/*.navbar-light .navbar-nav .nav-link.disabled {
	color: rgba(0, 0, 0, 0.3);
}*/

/*.navbar-light .navbar-nav .show > .nav-link,
.navbar-light .navbar-nav .active > .nav-link,
.navbar-light .navbar-nav .nav-link.show,
.navbar-light .navbar-nav .nav-link.active {
	color: rgba(0, 0, 0, 0.9);
}*/

.navbar-dark .navbar-nav .nav-link {
	/*color: rgba(255, 255, 255, 0.5);*/
	color: rgba(255, 255, 255, 1.0);
}

	.navbar-dark .navbar-nav .nav-link:hover,
	.navbar-dark .navbar-nav .nav-link:focus {
		/*color: rgba(255, 255, 255, 0.75);*/
		color: rgba(53, 152, 219, 1.0);
	}

/*.navbar-dark .navbar-nav .nav-link.disabled {
	color: rgba(255, 255, 255, 0.25);
}*/

/*.navbar-dark .navbar-nav .show > .nav-link,
.navbar-dark .navbar-nav .active > .nav-link,
.navbar-dark .navbar-nav .nav-link.show,
.navbar-dark .navbar-nav .nav-link.active {
	color: #fff;
}*/

a[href^="tel:"] {
	white-space: nowrap !important;
}